Generation History
Get TTS Generation
Retrieve a single stored text-to-speech generation.
GET
/
v1
/
speak
/
samples
/
{id}
Get TTS Generation
curl --request GET \
--url https://api.bland.ai/v1/speak/samples/{id} \
--header 'authorization: <authorization>'import requests
url = "https://api.bland.ai/v1/speak/samples/{id}"
headers = {"authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {authorization: '<authorization>'}};
fetch('https://api.bland.ai/v1/speak/samples/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bland.ai/v1/speak/samples/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bland.ai/v1/speak/samples/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("authorization", "<authorization>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bland.ai/v1/speak/samples/{id}")
.header("authorization", "<authorization>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bland.ai/v1/speak/samples/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["authorization"] = '<authorization>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "a3f8c2d1-4b5e-6789-0abc-def012345678",
"org_id": "9e1d2c3b-4a5f-6780-bcde-f01234567890",
"user_id": "5c6d7e8f-9012-3456-789a-bcdef0123456",
"text": "Hello, this is a test of the text-to-speech system.",
"voice_id": "2b3c4d5e-6f70-8901-2345-6789abcdef01",
"output_format": "pcm_44100",
"audio_data": "base64-encoded-audio-data",
"latency_ms": 1261,
"cost": 0.011,
"created_at": "2026-03-16T01:44:56.673Z"
},
"errors": null
}
Headers
Path Parameters
Query Parameters
Response
Without?format=audio, returns the generation metadata:
With ?format=audio, returns a raw WAV audio binary (same as the original POST /v1/speak response).
{
"data": {
"id": "a3f8c2d1-4b5e-6789-0abc-def012345678",
"org_id": "9e1d2c3b-4a5f-6780-bcde-f01234567890",
"user_id": "5c6d7e8f-9012-3456-789a-bcdef0123456",
"text": "Hello, this is a test of the text-to-speech system.",
"voice_id": "2b3c4d5e-6f70-8901-2345-6789abcdef01",
"output_format": "pcm_44100",
"audio_data": "base64-encoded-audio-data",
"latency_ms": 1261,
"cost": 0.011,
"created_at": "2026-03-16T01:44:56.673Z"
},
"errors": null
}
Docs for agents: llms.txt
Was this page helpful?
⌘I
Get TTS Generation
curl --request GET \
--url https://api.bland.ai/v1/speak/samples/{id} \
--header 'authorization: <authorization>'import requests
url = "https://api.bland.ai/v1/speak/samples/{id}"
headers = {"authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {authorization: '<authorization>'}};
fetch('https://api.bland.ai/v1/speak/samples/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bland.ai/v1/speak/samples/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bland.ai/v1/speak/samples/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("authorization", "<authorization>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bland.ai/v1/speak/samples/{id}")
.header("authorization", "<authorization>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bland.ai/v1/speak/samples/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["authorization"] = '<authorization>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "a3f8c2d1-4b5e-6789-0abc-def012345678",
"org_id": "9e1d2c3b-4a5f-6780-bcde-f01234567890",
"user_id": "5c6d7e8f-9012-3456-789a-bcdef0123456",
"text": "Hello, this is a test of the text-to-speech system.",
"voice_id": "2b3c4d5e-6f70-8901-2345-6789abcdef01",
"output_format": "pcm_44100",
"audio_data": "base64-encoded-audio-data",
"latency_ms": 1261,
"cost": 0.011,
"created_at": "2026-03-16T01:44:56.673Z"
},
"errors": null
}